Bug 29338 - Reprinting holds slip with updated expiration date
Summary: Reprinting holds slip with updated expiration date
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 30583
  Show dependency treegraph
 
Reported: 2021-10-27 21:17 UTC by Donna
Modified: 2022-04-21 14:29 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch adds a "Print hold/transfer" button to request.tt so staff can reprint hold/transfer slips without re-checking an item.
Version(s) released in:
22.05.00,21.11.04,21.05.14


Attachments
Bug 29338: Add print hold/transfer button to request.tt (2.65 KB, patch)
2021-10-27 22:05 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29338: (follow-up) only show print button when hold is waiting or intransit (1.78 KB, patch)
2021-12-21 21:37 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29338: Add print hold/transfer button to request.tt (2.71 KB, patch)
2022-02-07 16:50 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 29338: (follow-up) only show print button when hold is waiting or intransit (1.85 KB, patch)
2022-02-07 16:50 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 29338: Add print hold/transfer button to request.tt (2.79 KB, patch)
2022-02-21 15:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29338: (follow-up) only show print button when hold is waiting or intransit (1.92 KB, patch)
2022-02-21 15:12 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Donna 2021-10-27 21:17:55 UTC
When staff change a waiting hold expiration date to a date further in the future, there is no way to print a new hold slip with the updated date.

For example, holds are set to expire in 5 days.  I change the expiration date to 10 days.  Typically I would check the item in to trigger a new hold slip, but when I do, the expiration date is reset to 5 days.

It would be really helpful to have a print hold slip button on the holds table, not just for this scenario, but for other situations too, such as when a staff member checks an item in to generate a new slip, the waiting date is changed.  Having this print button would alleviate this.
Comment 1 Lucas Gass 2021-10-27 22:05:10 UTC
Created attachment 127024 [details] [review]
Bug 29338: Add print hold/transfer button to request.tt

1. Apply patch
2. Make some holds, have some item level and some bib level
3. On request.tt notice a new column on the holds_table called 'Print hold/transfer slip'
4. Make sure the button works and takes you to the proper hold/transfer slip
5. Make sure it works well with both item/bib level holds
Comment 2 Owen Leonard 2021-10-28 18:12:12 UTC
I wonder if it would make sense to show the button only for holds which are waiting or in transit?
Comment 3 Lucas Gass 2021-10-29 13:13:51 UTC
(In reply to Owen Leonard from comment #2)
> I wonder if it would make sense to show the button only for holds which are
> waiting or in transit?

Makes sense and I agree. Marking this FQA and will work that out ASAP.
Comment 4 Lucas Gass 2021-12-21 21:37:00 UTC
Created attachment 128849 [details] [review]
Bug 29338: (follow-up) only show print button when hold is waiting or intransit
Comment 5 sandboxes@biblibre.com 2022-02-07 16:50:07 UTC
Created attachment 130241 [details] [review]
Bug 29338: Add print hold/transfer button to request.tt

1. Apply patch
2. Make some holds, have some item level and some bib level
3. On request.tt notice a new column on the holds_table called 'Print hold/transfer slip'
4. Make sure the button works and takes you to the proper hold/transfer slip
5. Make sure it works well with both item/bib level holds

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 6 sandboxes@biblibre.com 2022-02-07 16:50:11 UTC
Created attachment 130242 [details] [review]
Bug 29338: (follow-up) only show print button when hold is waiting or intransit

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 7 Sally 2022-02-07 16:51:23 UTC
Really like this - great idea.  Works as described, signed off.
Comment 8 Jonathan Druart 2022-02-21 15:12:28 UTC
Created attachment 130964 [details] [review]
Bug 29338: Add print hold/transfer button to request.tt

1. Apply patch
2. Make some holds, have some item level and some bib level
3. On request.tt notice a new column on the holds_table called 'Print hold/transfer slip'
4. Make sure the button works and takes you to the proper hold/transfer slip
5. Make sure it works well with both item/bib level holds

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2022-02-21 15:12:35 UTC
Created attachment 130965 [details] [review]
Bug 29338: (follow-up) only show print button when hold is waiting or intransit

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Fridolin Somers 2022-03-02 08:48:42 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 11 Kyle M Hall 2022-03-04 13:21:32 UTC
Pushed to 21.11.x for 21.11.04
Comment 12 Andrew Fuerste-Henry 2022-04-15 17:17:47 UTC
Pushed to 21.05.x for 21.05.14
Comment 13 Victor Grousset/tuxayo 2022-04-17 20:08:42 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.